From fbd60e01cfce143757b6de13aaf2209319f3eee9 Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Thu, 27 Mar 2014 14:15:28 +0000
Subject: [PATCH 53/72] Update plugin_tests.py to match new method names

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
---
 tests/plugin_tests.py | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/tests/plugin_tests.py b/tests/plugin_tests.py
index 9a21b61..4ba5968 100644
--- a/tests/plugin_tests.py
+++ b/tests/plugin_tests.py
@@ -194,15 +194,15 @@ class PluginTests(unittest.TestCase):
         self.assertEquals(p.get_option_as_list("opt"), ['testing'])
 
     def test_copy_dir(self):
-        self.mp.do_copy_file_or_dir("tests")
+        self.mp.do_copy_path("tests")
         self.assertEquals(self.mp.archive.m["tests/plugin_tests.py"], 'tests/plugin_tests.py')
 
     def test_copy_dir_sub(self):
-        self.mp.do_copy_file_or_dir("tests", sub=("tests/", "foobar/"))
+        self.mp.do_copy_path("tests", sub=("tests/", "foobar/"))
         self.assertEquals(self.mp.archive.m["tests/plugin_tests.py"], 'foobar/plugin_tests.py')
 
     def test_copy_dir_bad_path(self):
-        self.mp.do_copy_file_or_dir("not_here_tests")
+        self.mp.do_copy_path("not_here_tests")
         self.assertEquals(self.mp.archive.m, {})
 
     def test_copy_dir_forbidden_path(self):
@@ -211,7 +211,7 @@ class PluginTests(unittest.TestCase):
         })
         p.archive = MockArchive()
         p.setup()
-        p.do_copy_file_or_dir("tests")
+        p.do_copy_path("tests")
         self.assertEquals(p.archive.m, {})
 
 
@@ -225,7 +225,7 @@ class AddCopySpecLimitTests(unittest.TestCase):
 
     def test_single_file_under_limit(self):
         self.mp.add_copy_spec_limit("tests/tail_test.txt", 1)
-        self.assertEquals(self.mp.copy_paths, [('tests/tail_test.txt', None)])
+        self.assertEquals(self.mp.copy_specs, [('tests/tail_test.txt', None)])
 
     def test_single_file_over_limit(self):
         fn = create_file(2) # create 2MB file, consider a context manager
-- 
1.9.3

